# $Revision: 1.102 $, $Date: 2005/08/23 12:01:26 $
#
# TODO:
# - check VGA patch - doesn't work good, 0.92 works fine
#
# Conditional build:
%bcond_with	splashimage	# removes some ethernet cards support
				# (too much memory occupied?)
%ifarch %{x8664}
%bcond_without	static		# builds shared version (requires 32bit glibc)
%else
%bcond_with	static		# builds static version
%endif
#
Summary:	GRand Unified Bootloader
Summary(pl):	GRUB - bootloader dla x86
Summary(pt_BR):	Gerenciador de inicializao GRUB
Summary(de):	GRUB - ein Bootloader fr x86
Name:		grub
Version:	0.97
Release:	1
License:	GPL
Group:		Base
Source0:	ftp://alpha.gnu.org/gnu/grub/%{name}-%{version}.tar.gz
# Source0-md5:	cd3f3eb54446be6003156158d51f4884
Source1:	%{name}-linux-menu.lst
Source2:	%{name}-rebootin.awk
Source3:	%{name}_functions.sh
Source4:	%{name}-splash.xpm.gz
# Source4-md5:	2842e2955603e3b6d722690b3cdd48a9
Patch0:		%{name}-install.in.patch
Patch1:		%{name}-endedit.patch
Patch2:		%{name}-append.patch
Patch3:		%{name}-bootonce.patch
Patch4:		%{name}-graphics.patch
Patch5:		%{name}-splashimagehelp.patch
Patch6:		%{name}-graphics-bootterm.patch
Patch7:		%{name}-special-device-names.patch
Patch8:		%{name}-0.94-diskless-1.patch
Patch9:		%{name}-0.94-diskless-fixtg3.patch
Patch10:	%{name}-geometry-26kernel.patch
Patch11:	%{name}-i2o.patch
Patch12:	%{name}-initrdmax.patch
Patch13:	%{name}-gcc4.patch
Patch14:	%{name}-useless.patch
URL:		http://www.gnu.org/software/grub/grub.en.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ncurses-devel
%if %{with static}
BuildRequires:	ncurses-static
BuildRequires:	glibc-static
%endif
# needed for 'cmp' program
Requires:	diffutils
Provides:	bootloader
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_libdir		/boot

%description
GRUB is a GPLed bootloader intended to unify bootloading across x86
operating systems. In addition to loading the Linux and *BSD kernels,
it implements the Multiboot standard, which allows for flexible
loading of multiple boot images (needed for modular kernels such as
the GNU Hurd).

%description -l de
GRUB (GRand Unified Boot-loader) ist ein Bootloader, der oft auf
Rechnern eingesetzt wird, auf denen das freie Betriebssystem Linux
luft. GRUB lst den betagten LILO (Linux-Loader) ab.

GRUB wurde innerhalb des GNU Hurd-Projektes als Boot-Loader entwickelt
und wird unter der GPL vertrieben. Aufgrund seiner hheren
Flexibilitt verdrngt GRUB in vielen Linux-Distributionen den
traditionellen Boot-Loader LILO.

%description -l es
ste es GRUB - Grand Unified Boot Loader - un administrador de
inicializacin capaz de entrar en la mayora de los sistemas
operacionales libres - Linux, FreeBSD, NetBSD, GNU Mach, etc. como
tambin en la mayora de los sistemas operacionales comerciales para
PC.

El administrador GRUB puede ser una buena alternativa a LILO, para
usuarios conms experiencia y que deseen obtener ms recursos de su
cargador de inicializacin (boot loader).

%description -l pl
GRUB jest bootloaderem na licencji GNU, majcym na celu unifikacj
procesu bootowania na systemach x86. Potrafi nie tylko adowa jdra
Linuksa i *BSD: posiada rwnie implementacje standardu Multiboot,
ktry pozwala na elastyczne adowanie wielu obrazw bootowalnych
(czego wymagaj moduowe jdra, takie jak GNU Hurd).

%description -l pt_BR
Esse  o GRUB - Grand Unified Boot Loader - um gerenciador de boot
capaz de entrar na maioria dos sistemas operacionais livres - Linux,
FreeBSD, NetBSD, GNU Mach, etc. assim como na maioria dos sistemas
operacionais comerciais para PC.

O GRUB pode ser uma boa alternativa ao LILO, para usurios mais
avanados e que querem mais recursos de seu boot loader.

%package nb
Summary:	Grub's network boot image for the Network Image Proposal
Summary(pl):	Obraz dla gruba sucy technologii Network Image Proposal
Group:		Networking/Admin

%description nb
This is a network boot image for the Network Image Proposal used by
some network boot loaders, such as Etherboot. This is mostly the same
as Stage 2, but it also sets up a network and loads a configuration
file from the network.

%description nb -l pl
To jest obraz sucy zdalnemu uruchamianiu komputera bezdyskowego,
oparty na standardzie nazwanym 'Network Image Proposal'. Jest niemal
identyczny z tym ze Stage 2, ale uruchamia sie oraz aduje z niej
plik konfiguracyjny.

%package pxe
Summary:	Grub's network boot image for the Preboot Execution Environment
Summary(pl):	Obraz dla gruba sucy technologii Preboot Execution Environment
Group:		Networking/Admin

%description pxe
This is another network boot image for the Preboot Execution
Environment used by several Netboot ROMs. This is identical to nbgrub,
except for the format. This is mostly the same as Stage 2, but it also
sets up a network and loads a configuration file from the network.

%description pxe -l pl
To jest obraz sucy zdalnemu uruchamianiu komputera bezdyskowego,
oparty na standardzie nazwanym 'Preboot Execution Environment' (PXE).
Jest niemal identyczny z tym ze Stage 2, ale uruchamia sie oraz
aduje z niej plik konfiguracyjny.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
#%%patch3 -p1
%{?with_splashimage:%patch4 -p1}
%{?with_splashimage:%patch5 -p1}
%{?with_splashimage:%patch6 -p1}
%patch7 -p1
#%patch8 -p1
#%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

rm -rf doc/*info*

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
CFLAGS="-Os %{?debug:-g} -fno-strict-aliasing" ; export CFLAGS
%if %{with static}
LDFLAGS="-static"; export LDFLAGS
%endif
%configure \
%if %{without splashimage}
	--enable-3c503 \
	--enable-3c507 \
	--enable-3c509 \
	--enable-3c529 \
	--enable-3c595 \
	--enable-3c90x \
	--enable-compex-rl2000-fix \
	--enable-cs89x0 \
	--enable-davicom \
	--enable-depca \
	--enable-diskless \
	--enable-e1000 \
	--enable-eepro \
	--enable-eepro100 \
	--enable-epic100 \
	--enable-exos205 \
	--enable-lance \
	--enable-natsemi \
	--enable-ne \
	--enable-ne2100 \
	--enable-ni5010 \
	--enable-ni5210 \
	--enable-ni6510 \
	--enable-rtl8139 \
	--enable-sk-g16 \
	--enable-smc9000 \
	--enable-tg3 \
	--enable-tiara \
	--enable-tulip \
	--enable-via-rhine \
	--enable-w89c840 \
	--enable-wd \
%endif
	--disable-auto-linux-mem-opt
# if you want to enable following cards for pxeboot comment out patches 8 & 9
# and comment out --enable-e1000 & --enable-tg3 cards:
#       --enable-ns8390 \
#       --enable-sis900
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/sysconfig/rc-boot

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/grub/%{_arch}-*/* \
	$RPM_BUILD_ROOT%{_libdir}/grub/

install %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/grub/menu.lst
install %{SOURCE2} $RPM_BUILD_ROOT%{_sbindir}/rebootin
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/rc-boot
install %{SOURCE4} $RPM_BUILD_ROOT%{_libdir}/grub/splash.xpm.gz

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# grubby will not work if /boot/grub/menu.lst is symlink
# so make sure menu.lst is file and grub.conf (if any) is symlink
if [ -L /boot/grub/menu.lst ] && [ -f /boot/grub/grub.conf ]; then
    mv -f /boot/grub/menu.lst{,.rpmsave}
    mv -f /boot/grub/{grub.conf,menu.lst}
    ln -sf menu.lst /boot/grub/grub.conf
fi

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc TODO BUGS NEWS ChangeLog docs/menu.lst
%dir %{_libdir}/grub
%{_libdir}/grub/*stage*
%{_libdir}/grub/splash.xpm.gz
%config(noreplace) %verify(not md5 mtime size) %{_libdir}/grub/menu.lst
%attr(754,root,root) %{_bindir}/*
%attr(754,root,root) %{_sbindir}/*
%{_infodir}/*.info*
%{_mandir}/*/*
/etc/sysconfig/rc-boot/%{name}_functions.sh

%if %{without splashimage}
%files nb
%defattr(644,root,root,755)
%{_libdir}/grub/nbgrub

%files pxe
%defattr(644,root,root,755)
%{_libdir}/grub/pxegrub
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: grub.spec,v $
Revision 1.102  2005/08/23 12:01:26  baggins
- release 1

Revision 1.101  2005/07/31 20:37:17  saq
- rmf unpackaged file

Revision 1.100  2005/07/12 20:31:14  glen
- add one useless patch

Revision 1.99  2005/06/21 16:13:58  baggins
- switch to build static version by default on x8664

Revision 1.98  2005/06/16 15:56:24  baggins
- it does build on x8664, you need either multilib gcc or --with static

Revision 1.97  2005/06/12 14:35:41  pluto
- gcc4 ready, release 0.2.

Revision 1.96  2005/05/12 19:05:24  arekm
- add static bcond (usable for example for amd64 machines)

Revision 1.95  2005/05/08 18:02:06  arekm
- up to 0.97

Revision 1.94  2005/05/02 08:19:25  glen
- make sure /boot/grub/menu.lst is not symlink

Revision 1.93  2005/03/23 20:39:23  saq
- German my ass

Revision 1.92  2005/03/23 08:03:58  spider
- German descripTION

Revision 1.91  2005/02/01 21:38:41  wolf
- 0.96

Revision 1.90  2004/10/06 12:50:07  qboosh
- bcond header

Revision 1.89  2004/09/20 11:39:32  wolf
- working splash

Revision 1.88  2004/07/29 18:51:13  havner
- rel 2 for rebuild

Revision 1.87  2004/07/19 15:34:56  wolf
- 0.95

Revision 1.86  2004/06/13 09:31:14  arekm
- do geometry fixups on 2.6

Revision 1.85  2004/06/06 11:04:01  serek
- dirty workarounds against 1Gbit cards, three old drivers must be temporary off, we are waiting for next grub version.

Revision 1.84  2004/05/31 19:20:31  serek
- i need pxe.

Revision 1.83  2004/04/15 11:42:03  baggins
- release 1.2
- do not show splash by default,
  it's unsafe (unusable black screen in case of failure)

Revision 1.82  2004/04/15 11:38:34  paszczus
- added URL

Revision 1.81  2004/03/19 17:08:54  undefine
- build pxe/nbi version too. nfy, nty

Revision 1.80  2004/01/26 14:05:31  wolf
- 0.94

Revision 1.79  2003/09/05 23:30:57  malekith
- remove --copy-only patch and change install.in patch -- we have images
  in right place to begin with (changes from likon_pc@o2.pl)
- renumber patches
- release 2

Revision 1.78  2003/06/17 21:01:34  wolf
- gcc 3.3 patch aka removing potfur c
- commented sync patch - i don't think it's really needed
- rel 1 - vga *DOES* work

Revision 1.77  2003/05/28 12:59:01  malekith
- massive attack: source-md5

Revision 1.76  2003/05/26 16:25:08  malekith
- massive attack: adding Source-md5

Revision 1.75  2003/05/25 05:48:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.74  2003/05/12 21:58:54  djrzulf
- release back to 0.1 ;/ (vga doesn't work),
- added TODO,

Revision 1.73  2003/05/11 22:25:49  kloczek
- removed _with_debug bcond and use directlu %{debug},
- cut %changelog.

Revision 1.72  2003/05/11 19:28:55  djrzulf
- added bcond with debug,
- Release 1,

Revision 1.71  2003/05/11 19:19:22  djrzulf
- cleanups,

Revision 1.70  2003/05/11 19:16:06  djrzulf
- removed static curses,

Revision 1.69  2003/05/11 16:59:47  kloczek
- rename patches.

Revision 1.68  2003/05/10 23:46:01  wolf
- fixed ncurses

Revision 1.67  2003/05/10 23:20:12  djrzulf
- TODO updated,

Revision 1.66  2003/05/10 23:06:00  djrzulf
- added TODO,
- removed bcond,

Revision 1.65  2003/05/10 23:00:18  djrzulf
- Dzikujemy ci Czerwony Kapturku (tm),

Revision 1.63  2003/05/10 20:39:37  kloczek
- start upgrade to 0.93,
- comment patches which must be fixed or removed.
